Deploying the application:

Sofware needed for project to work and be deployed:
 - PHP 7.1.3 or higher (In order for Symfony 4.2 to work)
 - MySQL
 - Composer
 - GIT

1. In domain root folder create a new folder:

mkdir mindgeek-prod

2. Clone the repository:
git clone git@gitlab.com:teodor.mincu/mindgeek-test.git

3. Enter inside the folder and install symfony & dependencies
cd mindgeek-prod
composer install

4. Create the storage folder and a symlink to it
mkdir storage
cd public
ln -s ../storage/ storage
cd ..

5. At this step I created a subdomain that pointed to mindgeek-prod/public

6. Create a local .env file and update the MySql credentials and database name
cp .env .env.local

7. We will create the database tables with the following command
bin/console doctrine:schema:update --force

8. We will copy data from json to database and download the files with the following command:
bin/console download:json-data

9. We will remove the files created and that didn't succeed to be downloaded
 bin/console download:clean-up

10. Let's see the showcaselist. Please access the following url:
[your-domain]/showcase/index
(mine: https://mindgeek-prod.medplan.ro/showcase/index)

11. Click on a showcase title and the information and visualise the details.
(ex.: https://mindgeek-prod.medplan.ro/showcase/show/1)


Observations:
1. The image/media caching is made directly from .htaccess, please check the <filesMatch> tag
2. I didn't made phpunit testing because I was out of time.





